#!/bin/bash
docker network delete oc | true

docker compose -f ./tools/docker-compose.traefik.yml down

TOOLS=(
    "mongo"
    "mongo-express"
    "nats"
    "loki"
    "grafana"
    "hydra-client"
    "hydra"
    "keto"
    "ldap"
)

for i in "${TOOLS[@]}"
do
   echo "kill $i"
   docker kill $i | true
   docker rm $i | true
done

docker volume rm tools_oc-data

cd ../..

REPOS=(
    "oc-auth"
    "oc-catalog"
    "oc-datacenter"
    "oc-monitord"
    "oc-peer"
    "oc-shared"
    "oc-scheduler"
    "oc-schedulerd"
    "oc-workflow"
    "oc-workspace"
    "oc-front"
)
for i in "${REPOS[@]}"
do
   echo "Kill $i"
   cd ./$i 
   docker kill $i | true
   docker rm $i | true
   make purge | true
   cd ..
done