#!/bin/bash
mode=${1:-dev}
branch=${2:-main}

cd ../..

if [ ! -d "oc-k8s" ]; then
    echo "Cloning repository: $repo_name"
    git clone "https://cloud.o-forge.io/core/oc-k8s.git"
    if [ $? -ne 0 ]; then
        echo "Error cloning oc-k8s"
        exit 1
    fi
fi
echo "Repository 'oc-k8s' already exists. Pulling latest changes..."
cd "oc-k8s" && git checkout $branch && git pull

./create_kind_cluster.sh
./clone_opencloud_microservices.sh  $branch
./build_opencloud_microservices.sh
./install.sh $mode
