#!/bin/bash

echo "Stopping all services..."

./stop.sh > /dev/null 2>&1

echo "Starting all services"

cp ./traefik-dev-reverse/template_dynamic.yml ./traefik-dev-reverse/dynamic.yml
sed -i "s/localhost/$1/g" ./traefik-dev-reverse/dynamic.yml

docker network create oc | true
cd ./tools && docker compose -f ./docker-compose.dev.yml up --force-recreate -d
cd .. && docker compose -f ./traefik-dev-reverse/docker-compose.yml up --force-recreate -d

cd ../..

REPOS=(
    "oc-auth"
    "oc-catalog"
    "oc-datacenter"
    "oc-monitord"
    "oc-peer"
    "oc-shared"
    "oc-scheduler"
    "oc-schedulerd"
    "oc-workflow"
    "oc-workspace"
    "oc-front"
)
for i in "${REPOS[@]}"
do
   echo "Building $i"
   cd ./$i 
   make dev HOST="${2:-http://localhost:8000}" &
   cd ..
done

