#!/bin/bash
docker network delete oc | true

docker compose -f ./traefik-dev-reverse/docker-compose.yml rm -s -v -f

TOOLS=(
    "mongo"
    "mongo-express"
    "nats"
    "loki"
    "grafana"
    "keto"
    "ldap"
)

for i in "${TOOLS[@]}"
do
   echo "kill $i"
   docker kill $i | true
   docker rm $i | true
done

cd ../..

REPOS=(
    "oc-auth"
    "oc-catalog"
    "oc-datacenter"
    "oc-monitord"
    "oc-peer"
    "oc-shared"
    "oc-scheduler"
    "oc-schedulerd"
    "oc-workflow"
    "oc-workspace"
    "oc-front"
)
for i in "${REPOS[@]}"
do
   echo "kill $i"
   docker kill $i | true
   docker rm $i | true
   cd ./$i 
   make purge | true
   cd ..
done

